/* IP interface traffic and load statistics */
/* (c) Oleg Kostiuchenko. Ukraine. 1999     */
/* (c) Joseph Shrago. Russia. 1999          */
/*                                          */
/* Run it with cron only once a day                            */
/* stat.total.slice - every day's "netstat -n" information     */
/* stat.yesterday.slice - yesterday's "netstat- n" information */
/* stat.traffic.per.day - calculated traffic per day           */

/* Feel free to use and modify              */

'@echo off'
'netstat -n |find "total bytes sent"|rxqueue'
sent_res=''
do i=1 to queued()
   parse pull str
   sent_res=sent_res' 'word(str,4)
end
'netstat -n |find "total bytes received"|rxqueue'
rcvd_res=''
do i=1 to queued()
   parse pull str
   rcvd_res=rcvd_res' 'word(str,4)
end

ystr_str_sent=linein("stat.yesterday.slice",1,1)
ystr_str_rcvd=linein("stat.yesterday.slice")
call lineout "stat.yesterday.slice", 'Out: 'sent_res, 1
/* call lineout "yesterday" */
call lineout "stat.yesterday.slice", ' In: 'rcvd_res
call lineout "stat.yesterday.slice"

call lineout "stat.total.slice",date('s')' Out: 'sent_res
call lineout "stat.total.slice"
call lineout "stat.total.slice",date('s')'  In: 'rcvd_res
call lineout "stat.total.slice"

sent_traf=''
do i=2 to words(ystr_str_sent)
sent_n=word(sent_res,i-1)-word(ystr_str_sent,i)
sent_traf=sent_traf' 'sent_n
end

rcvd_traf=''
do i=2 to words(ystr_str_rcvd)
rcvd_n=word(rcvd_res,i-1)-word(ystr_str_rcvd,i)
rcvd_traf=rcvd_traf' 'rcvd_n
end

call lineout "stat.traffic.per.day",date('s')' Out: 'sent_traf
call lineout "stat.traffic.per.day"
call lineout "stat.traffic.per.day",date('s')'  In: 'rcvd_traf
call lineout "stat.traffic.per.day"
exit
